мир.изображения = {
    умолчание: {
        x: 0,
        y: 0,
        ширина: 100,
        высота: 100,
    },
    задано: {},
    элементы: {},
};


// // // //


мир.ключники.push(function(ключ, путь, значение){
    if (!ключ.startsWith("изображения"))
    {
        return;
    }

    var имя = путь[1];

    if (!(имя in мир.изображения.задано))
    {
        мир.изображения.задано[имя] = {};
    }

    //var свойство = путь.slice(2).join(".");
    var свойство = путь[2];
    мир.изображения.задано[имя][свойство] = значение;
    мир.изображения.обновить(путь, имя, свойство, значение);
});


// // // //


мир.изображения.обновить = function(путь, имя, свойство, значение)
{
    var за = мир.изображения.задано[имя];
    var ум = мир.изображения.умолчание;
    var эл = мир.изображения.элементы[имя];

    if (!эл)
    {
        эл = document.createElement("div");
        эл.id = `изображения-${имя}`;
        эл.style.position = "absolute";
        эл.style.display = "block";
        document.getElementById("корень").appendChild(эл);
        мир.изображения.элементы[имя] = эл;
        // Свойства по умолчанию.
        эл.style.left = `${ум.x}px`;
        эл.style.top = `${ум.y}px`;
        эл.style.width = `${ум.ширина}px`;
        эл.style.height = `${ум.высота}px`;
    }

    if (свойство == "ширина")
    {
        эл.style.width = `${за.ширина}px`;
    }
    else if (свойство == "высота")
    {
        эл.style.height = `${за.высота}px`;
    }
    else if (свойство == "x")
    {
        эл.style.left = `${за.x}px`;
    }
    else if (свойство == "y")
    {
        эл.style.top = `${за.y}px`;
    }
    else if (свойство == "вид")
    {
        var параметр = путь[3];
        эл.style.setProperty(параметр, значение);
    }
};
